Subject: Re: PREEMPT problems

From: Benjamin Herrenschmidt <[email-masked]>
Date: Tue, 06 Apr 2004 10:51:18 +1000

> Sure enough, -rc2-ben0 is now behaving just as badly as -rc3-ben0.
> Probably just fluctuation.
>
> > I also added a WARN_ON(), do you see it triggered in dmesg ?

Still can't reproduce any problem here. You are using xfs right ?
Maybe it's a filesystem issue... or some driver (USB device ?) that
you are using that is allergic to preempt ?

It would be useful if you could spot one of those stuck processes
and get a backtrace from it. For that, use P<pid> in xmon to get the
ksp then b<ksp value> to get a backtrace.

Ben.

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/